    PROGRAM f01ecfe

!      F01ECF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : f01ecf, nag_wp, x04caf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: i, ifail, lda, n
!      .. Local Arrays ..
       REAL (KIND=nag_wp), ALLOCATABLE :: a(:,:)
!      .. Executable Statements ..
       WRITE (nout,*) 'F01ECF Example Program Results'
       WRITE (nout,*)
       FLUSH (nout)
!      Skip heading in data file
       READ (nin,*)
       READ (nin,*) n
       lda = n
       ALLOCATE (a(lda,n))
!      Read A from data file
       READ (nin,*) (a(i,1:n),i=1,n)

!      ifail: behaviour on error exit
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
       ifail = 0
!      Find exp( A )
       CALL f01ecf(n,a,lda,ifail)

!      Print solution
       CALL x04caf('General',' ',n,n,a,lda,'Exp(A)',ifail)

    END PROGRAM f01ecfe
